//Source file: DuplicatePropertyNameException.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * A duplicate property name has been received
 *
 */
public class DuplicatePropertyNameException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public DuplicatePropertyNameException() {
        super(); 
    }

    public DuplicatePropertyNameException(String message) {
        super(message); 
    }

    public DuplicatePropertyNameException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public DuplicatePropertyNameException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // DuplicatePropertyNameException

