//Source file: InvalidPropertyException.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * The framework does not recognise the property supplied by the client
 *
 */
public class InvalidPropertyException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidPropertyException() {
        super(); 
    }

    public InvalidPropertyException(String message) {
        super(message); 
    }

    public InvalidPropertyException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidPropertyException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidPropertyException

