//Source file: ServiceAccessDeniedException.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * The client application is not allowed to access this service.
 *
 */
public class ServiceAccessDeniedException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public ServiceAccessDeniedException() {
        super(); 
    }

    public ServiceAccessDeniedException(String message) {
        super(message); 
    }

    public ServiceAccessDeniedException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public ServiceAccessDeniedException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // ServiceAccessDeniedException

