//Source file: IllegalServiceIdException.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * Illegal Service ID
 *
 */
public class IllegalServiceIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public IllegalServiceIdException() {
        super(); 
    }

    public IllegalServiceIdException(String message) {
        super(message); 
    }

    public IllegalServiceIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public IllegalServiceIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // IllegalServiceIdException

