//Source file: InvalidEntOpIdException.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * Invalid Enterprise Operator ID
 *
 */
public class InvalidEntOpIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidEntOpIdException() {
        super(); 
    }

    public InvalidEntOpIdException(String message) {
        super(message); 
    }

    public InvalidEntOpIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidEntOpIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidEntOpIdException

