//Source file: ServiceTypeUnavailableException.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * The service type is not available according to the Framework.
 *
 */
public class ServiceTypeUnavailableException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public ServiceTypeUnavailableException() {
        super(); 
    }

    public ServiceTypeUnavailableException(String message) {
        super(message); 
    }

    public ServiceTypeUnavailableException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public ServiceTypeUnavailableException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // ServiceTypeUnavailableException

